﻿using HardwareShopDataModels.Models;

namespace HardwareShopContracts.BindingModels
{
    public class GoodBindingModel : IGoodModel
    {
        public int Id { get; set; }

        public string GoodName { get; set; } = string.Empty;

        public double Price { get; set; }

        public int UserId { get; set; }

        public Dictionary<int, (IComponentModel, int)> GoodsComponents 
        { 
            get; 
            set; 
        } = new();
    }
}
